﻿@import url('https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700');

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}


nav {
    background-color: #061964;
}

ul, li{
    margin:0;
    padding:0;
    list-style:none;
}
.SCBackground {
    background-color: lightgrey;
    background-image: url('../Images/SC-LINE-DECK03-BG.png');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position-x: right;
    background-position-y: center;
}

.SCLayoutTable * {
    /*    border: none;*/
    border-collapse: collapse;
    padding: 0;
    margin: 0;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
    /*background-color: #e3e1d9;*/
    /*background-image: url('file:///C:\Users\jon.procter\source\repos\Claims\Edna\EdnaWebApplication\EdnaWebApplication\wwwroot\Content\SC-LINE-DECK03-BG.png');*/
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top-thick {
    border-top: 5px solid;
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
    background-color: lightgrey;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    /*white-space: nowrap;*/
    line-height: 60px; /* Vertically center the text there */
    background-color: #061964;
    /*border-width: .375rem 0 0;*/
    /*border-style: solid;*/
    border-image-slice: 5;
    border-image-source: linear-gradient(90deg,#9bc850 33%,#e0286f 33%,#e0286f 66%,#00bcec 66%);
}

.tbl-content-claim-search {
    margin-top: 0px;
    border: 1px solid;
    padding: 0px;
}

.tbl-content-document-search {
    margin-top: 0px;
    border: 1px solid;
    padding: 0px;
}

.tbl-content-document-detail {
    margin-top: 0px;
    border: 1px solid;
    padding: 0px;
}

.edna-title {
    font-size: xx-large;
    color: #FFF;
    padding-right: 50px;
}

.page-title {
    font-size: medium;
    font-weight: 600;
    padding-top: 10px;
    padding-bottom: 10px;
}

.SCTableButton {
    height: 35px;
}

.SCButtonPrimary {
    border: none;
    border-radius: 2px;
    background-position: center;
    background-color: #E0286F;
    color: #FFF;
    border: none;
    transition: background 0.5s;
    cursor: pointer;
    box-shadow: 0 0 4px #999;
    outline: none;
}

    .SCButtonPrimary:hover:enabled {
        background: #FA4289 radial-gradient(circle, transparent 1%, #FA4289 1%) center/15000%;
    }

    .SCButtonPrimary:active:enabled {
        background-color: #FF5BA2;
        background-size: 100%;
        transition: background 0s;
    }

    .SCButtonPrimary:disabled {
        background-color: #AAAAAA;
        background-size: 100%;
        cursor: default;
    }

.SCButtonSecondary {
    border: none;
    border-radius: 2px;
    background-position: center;
    background-color: #9bc850;
    color: #000;
    border: none;
    transition: background 0.5s;
    cursor: pointer;
    box-shadow: 0 0 4px #999;
    outline: none;
}

    .SCButtonSecondary:hover:enabled {
        background: #B5E26A radial-gradient(circle, transparent 1%, #B5E26A 1%) center/15000%;
    }

    .SCButtonSecondary:active:enabled {
        background-color: #CEFB83;
        background-size: 100%;
        transition: background 0s;
    }

    .SCButtonSecondary:disabled {
        background-color: #AAAAAA;
        background-size: 100%;
        cursor: default;
    }

.SCButtonSuccess {
    border: none;
    border-radius: 2px;
    background-position: center;
    background-color: #4BB543;
    color: #FFF;
    border: none;
    cursor: default;
    box-shadow: 0 0 4px #999;
    outline: none;
}

.SCButtonFailure {
    border: none;
    border-radius: 2px;
    background-position: center;
    background-color: #FC100D;
    color: #FFF;
    border: none;
    cursor: default;
    box-shadow: 0 0 4px #999;
    outline: none;
}


.fa-star {
    color: #9bc850;
}


.buttonAddNewDocument {
    height: 100%;
    width: 100px;
}

.searchTextBox {
    resize: none;
    width: 100%;
    box-shadow: 0 0 15px 4px rgba(0,0,0,0.06);
    padding: 5px;
    border: 1px solid;
    border-radius: 2px;
    font-family: inherit;
    font-size: 14px;
}

.searchDateBox {
    resize: none;
    width: 140px;
    box-shadow: 0 0 15px 4px rgba(0,0,0,0.06);
    padding: 4px;
    border: 1px solid;
    border-radius: 2px;
    font-family: inherit;
    font-size: 14px;
}

.searchSelect {
    resize: none;
    width: 100%;
    box-shadow: 0 0 15px 4px rgba(0,0,0,0.06);
    padding: 5px 5px 6px 5px;
    border: 1px solid;
    border-radius: 2px;
    font-family: inherit;
    font-size: 14px;
}

.metadataTextBox {
    resize: none;
    width: 100%;
    box-shadow: 0 0 15px 4px rgba(0,0,0,0.06);
    padding: 2px;
    border: 1px solid;
    border-radius: 2px;
    font-family: inherit;
    font-size: small;
    height: 25px;
}

.metadataNarrative {
    resize: none;
    width: 100%;
    box-shadow: 0 0 15px 4px rgba(0,0,0,0.06);
    padding: 2px;
    border: 1px solid;
    border-radius: 2px;
    font-family: inherit;
    font-size: small;
    vertical-align: top;
    height: 175px;
}



.scrolling-box {
    display: block;
    /*height: 50%;*/
    position: absolute;
    top: 90px;
    bottom: 65px;
    /*min-height: 100%;*/
    /*height: 1175px;*/
    overflow-y: hidden;
    scroll-behavior: smooth;
    width: 98%;
}

.page-title-top-spacer {
    margin-top: 40px;
}

.document-results-header {
    padding: 10px;
    background-color: #eeeeee;
    border: 1px black solid;
}

document-results-header table {
    width: 100%;
}

document-results-header td {
    width: 100%;
}

.claims-results-table {
    padding: 5px;
    border-spacing: 0px;
    border: 0px;
    width: 100%;
}

.textBoxTitle {
    text-align: left;
    font-size: smaller;
    padding-top: 5px;
}

.documentMetadataTable {
    padding: 2px;
}

table.documentMetadataTable td {
    text-align: left;
}

.SCAddButton {
    font-family: 'Arial Rounded MT';
    height: 20px;
    width: 20px;
    padding: 0px;
    line-height: 1px;
}

.SCListBox {
    resize: none;
    width: 100%;
    max-height: 100%;
    overflow-y: auto;
}

.tbl-content {
    height: 95px;
    margin-top: 5px;
    border: 1px solid;
    padding: 0px;
    background-color: #ffffff;
}


.claimRowConflictAllow {
    color: green !important;
}


.claimRowConflictRestrict {
    width: 100%;
    color: red !important;
    cursor: not-allowed !important;
}





.SCListBoxTable {
    font-weight: 300;
    font-size: 12px;
    margin: 5px;
}

    .SCListBoxTable tr {
        cursor: pointer;
        width: 100%;
    }

        .SCListBoxTable tr:hover {
            background: #DDDDDD;
        }

.documentFilterTable td{
    padding: 5px 5px 0px 5px;
}

.erroredField{

    background-color:palevioletred;

}


.SCtooltip {
    /*display: inline-block;*/
    position: relative;
    text-align: left;
}

    .SCtooltip .top {
        min-width: 200px;
        top: -20px;
        left: 50%;
        transform: translate(-50%, -100%);
        padding: 10px 20px;
        color: #FFFFFF;
        background-color: #FF5BA2;
        font-weight: normal;
        font-size: 13px;
        border-radius: 8px;
        position: absolute;
        z-index: 99999999;
        box-sizing: border-box;
        box-shadow: 0 1px 8px rgba(0,0,0,0.5);
        visibility: hidden;
        opacity: 0;
        transition: opacity 0.8s;
    }

    .SCtooltip:hover .top {
        visibility: visible;
        opacity: 1;
    }

    .SCtooltip .top i {
        position: absolute;
        top: 100%;
        left: 50%;
        margin-left: -12px;
        width: 24px;
        height: 12px;
        overflow: hidden;
    }

        .SCtooltip .top i::after {
            content: '';
            position: absolute;
            width: 12px;
            height: 12px;
            left: 50%;
            transform: translate(-50%,-50%) rotate(45deg);
            background-color: #FF5BA2;
            box-shadow: 0 1px 8px rgba(0,0,0,0.5);
        }

    .SCtooltip .bottom {
        min-width: 200px;
        top: 40px;
        left: 50%;
        transform: translate(-50%, 0);
        padding: 10px 20px;
        color: #FFFFFF;
        background-color: #FF5BA2;
        font-weight: normal;
        font-size: 13px;
        border-radius: 8px;
        position: absolute;
        z-index: 99999999;
        box-sizing: border-box;
        box-shadow: 0 1px 8px rgba(0,0,0,0.5);
        visibility: hidden;
        opacity: 0;
        transition: opacity 0.8s;
    }

    .SCtooltip:hover .bottom {
        visibility: visible;
        opacity: 1;
    }

    .SCtooltip .bottom i {
        position: absolute;
        bottom: 100%;
        left: 50%;
        margin-left: -12px;
        width: 24px;
        height: 12px;
        overflow: hidden;
    }

        .SCtooltip .bottom i::after {
            content: '';
            position: absolute;
            width: 12px;
            height: 12px;
            left: 50%;
            transform: translate(-50%,50%) rotate(45deg);
            background-color: #FF5BA2;
            box-shadow: 0 1px 8px rgba(0,0,0,0.5);
        }
        
        .content-hidden {
            visibility: hidden;
        }
        
        .auth-loading {
            visibility: visible;
            background-color: white;
            position: fixed;
            width: 100%;
            height: 100%;
            left: 0;
            padding-top: 5%;
        }
        
        .auth-loading-container {
            vertical-align: top;
            text-align: center;
        }
        
        .auth-loading-text {
            display: inline-block;
            font-size: 3em;
            font-weight: bold;
            vertical-align: center;
            margin-right: 20px;
        }

/* Spinner for auth loading */
.lds-ring {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
    vertical-align: top;
}
.lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 64px;
    height: 64px;
    margin: 8px;
    border: 8px solid #000;
    border-radius: 50%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: #000 transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
    animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
    animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
    animation-delay: -0.15s;
}
@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}